"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.manageTask = void 0;

var _packageWorkspaces = require("../actions/npm/packageWorkspaces");

var _config = require("../cli/config");

var _taskHook = require("../utils/taskHook");

var _taskIsDiasbled = require("../utils/taskIsDiasbled");

var _managePackageLintTask = require("./subTasks/managePackageLintTask");

const manageTask = async argv => {
  const packageLintDisable = await (0, _config.getConfig)(argv.root, 'packageLint.disable');
  const workspacePaths = await (0, _packageWorkspaces.npmPackageWorkspacesAction)(argv);
  await (0, _taskHook.taskHook)(argv, {
    task: 'manage',
    type: 'pre'
  });

  if (packageLintDisable === true) {
    await (0, _taskIsDiasbled.taskIsDiasbled)('package.json verification is disabled');
  } else {
    await (0, _managePackageLintTask.managePackageLintTask)(argv, {
      workspacePaths
    });
  }

  await (0, _taskHook.taskHook)(argv, {
    task: 'manage',
    type: 'post'
  });
};

exports.manageTask = manageTask;